Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui.osm
Class WayParams

    java.lang.Object
      org.ka2ddo.yaac.gui.osm.WayParams

    public class WayParams

extends java.lang.Object

This class contains the current graphical rendering settings for a WayType.

Field Summary
`static java.lang.String` | `WAY_TYPE_LAYERS` Preferences Node name for Way type rendering control persisting.

Constructor Summary
`WayParams(WayType wayType)` Create an instance of WayParams.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`float` | `getMaxLabelZoom()`
`float` | `getMaxLineZoom()`
`java.awt.Paint` | `getRenderColor()` Get the rendering color or texture for painting this type of Way.
`java.awt.Stroke` | `getRenderStroke()` Get the Swing Stroke style to use for painting lines of this Way type.
`WayType` | `getWayType()` Get the WayType enumeration value associated with this WayParams object.
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `isDefault()` Test if this way enumeration has the factory-default settings (i.e., don't need to save in preferences).
`boolean` | `isShown()` Report if Ways of this type should be rendered.
`void` | `loadFromPreferences(java.util.prefs.Preferences prefs)`
`void` | `restoreDefaults()` Set this WayParams object back to the factory-default settings.
`void` | `saveToPreferences(java.util.prefs.Preferences prefs)`
`void` | `setMaxLabelZoom(float maxLabelZoom)`
`void` | `setMaxLineZoom(float maxLineZoom)`
`void` | `setRenderColor(java.awt.Paint renderColor)` Set the rendering color or texture for painting this type of Way.
`void` | `setRenderStroke(java.awt.Stroke renderStroke)` Set the Swing Stroke style to use for painting lines of this Way type.
`void` | `setShown(boolean shown)` Specify if Ways of this type should be rendered.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WAY_TYPE_LAYERS

    public static final java.lang.String WAY_TYPE_LAYERS

  Preferences Node name for Way type rendering control persisting.

  See Also:
    Constant Field Values

Constructor Detail

### WayParams

    public WayParams(WayType wayType)

  Create an instance of WayParams.

  Parameters:
    `wayType` - the WayType object to initialize the WayParams object from

Method Detail

### restoreDefaults

    public void restoreDefaults()

  Set this WayParams object back to the factory-default settings.

### isDefault

    public boolean isDefault()

  Test if this way enumeration has the factory-default settings (i.e., don't need to save in preferences).

  Returns:
    boolean true if this WayParams has the hard-coded defaults for its WayType

### getWayType

    public WayType getWayType()

  Get the WayType enumeration value associated with this WayParams object.

  Returns:
    associated WayType value

### getRenderColor

    public java.awt.Paint getRenderColor()

  Get the rendering color or texture for painting this type of Way.

  Returns:
    Paint

### setRenderColor

    public void setRenderColor(java.awt.Paint renderColor)

  Set the rendering color or texture for painting this type of Way.

  Parameters:
    `renderColor` - Paint to use for rendering this Way type

### getRenderStroke

    public java.awt.Stroke getRenderStroke()

  Get the Swing Stroke style to use for painting lines of this Way type.

  Returns:
    Stroke for rendering

### setRenderStroke

    public void setRenderStroke(java.awt.Stroke renderStroke)

  Set the Swing Stroke style to use for painting lines of this Way type.

  Parameters:
    `renderStroke` - Stroke for rendering

### getMaxLineZoom

    public float getMaxLineZoom()

### setMaxLineZoom

    public void setMaxLineZoom(float maxLineZoom)

### getMaxLabelZoom

    public float getMaxLabelZoom()

### setMaxLabelZoom

    public void setMaxLabelZoom(float maxLabelZoom)

### isShown

    public boolean isShown()

  Report if Ways of this type should be rendered.

  Returns:
    boolean true if Ways of the associated type should be rendered, false if not

### setShown

    public void setShown(boolean shown)

  Specify if Ways of this type should be rendered.

  Parameters:
    `shown` - boolean true if Ways of the associated type should be rendered, false if not

### loadFromPreferences

    public void loadFromPreferences(java.util.prefs.Preferences prefs)

### saveToPreferences

    public void saveToPreferences(java.util.prefs.Preferences prefs)

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `hashCode()`

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD